PDA

View Full Version : Compass compile error <Line 1: Invalid @import: expected end of line, was ";".>



oddz
6 Oct 2011, 7:19 AM
I installed sass and compass last night on my mac book pro and everything was smooth sailing. However, today I am at work on a pc. Having installed ruby and compass via ruby installer that was relatively painless. However, when I attempt to compile the following errors occurs:

<Line 1: Invalid @import: expected end of line, was ";".>

This is happening for every single sass file, well the line number is different of course. I have not added any sass files, this is occurring using the default framework themes under the sass directory.

I am thinking this has something to do with the path in the config.rb being incorrect for a windows machine. However, any help is greatly appreciated. Google didn't turn up much useful help. Easy things aren't without their hardships...

Thanks

oddz
6 Oct 2011, 8:22 AM
My current directory was resources when running the command.

I was running this:

compass compile sass/nameofile.scss

However, the current directory needs to be sass, the one where the config.rb resides. Than run:

compass compile nameofile.scss

doh!